package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

public class CategoriaBebidaTest {

	@Test
	public void testCategoriaBebida() {
		List<Bebida> bebidas = new ArrayList<Bebida>();
		Bebida bebida = new Bebida("Coca-Cola");
		bebidas.add(bebida);
		bebida = new Bebida("Fanta");
		bebidas.add(bebida);
		bebida = new Bebida("Guaraná");
		bebidas.add(bebida);
		
		CategoriaBebida categoria = new CategoriaBebida("Refrigerantes", bebidas);

		assertEquals("Categoria Refri", "Refrigerantes", categoria.getNome());
		assertEquals("Tamanho da lista", 3, categoria.getBebidas().size());
	}

}
